package org.xyzh.common.dto.role;

import org.xyzh.common.dto.BaseDTO;

/**
 * @description    TbSysRole.java文件描述 角色信息
 * @filename    TbSysRole.java
 * @author    yslg
 * @copyright xyzh
 * @since 2025-09-16
 */
public class TbSysRole extends BaseDTO {
    private static final long serialVersionUID = 1L;

    /**
     * @description    角色ID
     * @author    yslg
     * @since 2024-06
     */
    private String roleID;

    /**
     * @description    角色名称
     * @author    yslg
     * @since 2024-06
     */
    private String name;

    /**
     * @description    角色描述
     * @author    yslg
     * @since 2024-06
     */
    private String description;

    /**
     * @description    创建人
     * @author    yslg
     * @since 2024-06
     */
    private String creator;

    /**
     * @description    更新人
     * @author    yslg
     * @since 2024-06
     */
    private String updater;

    public String getRoleID() {
        return roleID;
    }

    public void setRoleID(String roleID) {
        this.roleID = roleID;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getUpdater() {
        return updater;
    }

    public void setUpdater(String updater) {
        this.updater = updater;
    }

    @Override
    public String toString() {
        return "TbSysRole{" +
                "id='" + getID() + '\'' +
                ",roleID='" + roleID + '\'' +
                ", name='" + name + '\'' +
                ", description='" + description + '\'' +
                ", creator='" + creator + '\'' +
                ", updater='" + updater + '\'' +
                ", createTime=" + getCreateTime() +
                ", updateTime=" + getUpdateTime() +
                ", deleteTime=" + getDeleteTime() +
                ", deleted=" + getDeleted() +
                '}';
    }
}